package me.qwq.doghouse.entity;

import java.io.Serializable;
import java.util.List;

public interface ITreeView<T> extends Serializable  {

    T setChildren(List<T> children);
    Long getChildrenCount();
    T setChildrenCount(Long childrenCount);
    Long getParentId();
    String getTitle();
    Boolean getHasChildren();
    Boolean getChecked();
    T setChecked(Boolean checked);
    Boolean getSpread();
    T setSpread(Boolean spread);
}
